<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>503.50</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">

</head>

<body>

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <script src="https://code.jquery.com/jquery-3.7.1.min.js"
        integrity="sha256-/JqT3SQfawRcv/BIHPThkBvs0OEvtFFmqPF/lYI/Cxo=" crossorigin="anonymous"></script>
</body>
<script>
    var v1 = [" avengers", "   captain_america", "ironman   ", " black panther   "];
    var task1 = (array) => array.map(item => item.trim())

    console.log(v1, task1(v1));

    var v2 = 1;
    var v3 = v2 * 1.609;
    console.log(v3);

    var v4 = [1, 2, 3, 4, 5];
    var tongv4 = 0;
    var task3 = v4 => v4.map((item) => {
        var iBinh = Math.pow(item, 2);
        tongv4 += iBinh;
        if (item == v4.length) {
            return tongv4;
        }
    })
    console.log(task3(v4));

    var v5 = [4, -4, 10];
    var task4 = arr => arr.map(item => {
        return item = item + 4;
    })

    console.log(task4(v5));

    var v6 = [1, 2, 3, 4, 5, 6, 7, 8, 9, 10];
    var even = arr => arr.filter(item => item % 2 == 0);
    var task5 = arr => arr.reduce((total, item) => {
        return total + item
    })
    console.log(task5(even(v6)));

    var v7 = ["avengers", "captain america"];
    var task6 = arr => arr.map(item => item.toUpperCase());
    console.log(task6(v7));

    var v8 = [
        { name: 'Spider-Man' },
        { name: 'Thor' },
        { name: 'Black Panther' },
        { name: 'Captain Marvel' },
        { name: 'Silver Surfer' }
    ];
    var id = -1;
    var task7 = arr => arr.map(obj =>{
        id++;
        return obj = {id, ...obj};
    })
    console.log(task7(v8))

    var v9= ["spray", "limit", "elite", "exuberant", "destruction", "present"];
    var task8 = arr => arr.filter(item => {
        return item.length > 6
    })
    console.log(task8(v9));

    var v10 = [4, -4, 10];
    var task9 = arr => arr.map(item => item  + 4 );
    console.log(task9(v10));

    var v11 = [11, 22, 33, 46, 75, 86, 97, 98]; 
    var task10 = arr => arr.map(item => Math.pow(item, 2));
    console.log(task10(even(v11)));
</script>

</html>